#
# spec file for package xpdf (Version 2.02pl1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  freetype2 freetype2-devel ghostscript-fonts-std gpp libgpp openmotif openmotif-devel t1lib t1lib-devel update-desktop-files xf86 xpm
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext ghostscript-fonts-std libstdc++-devel libtool openmotif openmotif-devel openmotif-libs perl rpm t1lib t1lib-devel update-desktop-files

Name:         xpdf
License:      GPL
Group:        Productivity/Publishing/PDF
Autoreqprov:  on
Requires:     ghostscript-fonts-std
Version:      2.02pl1
Release:      150
Summary:      A pdf-file viewer under X11
Source:       xpdf-%{version}.tar.bz2
Source1:      xpdf-chinese-simplified.tar.bz2
Source2:      xpdf-chinese-traditional.tar.bz2
Source3:      xpdf-cyrillic.tar.bz2
Source4:      xpdf-greek.tar.bz2
Source5:      xpdf-japanese.tar.bz2
Source6:      xpdf-korean.tar.bz2
Source7:      xpdf-latin2.tar.bz2
Source8:      xpdf-thai.tar.bz2
Source9:      xpdf-turkish.tar.bz2
Source10:     xpdf-hebrew.tar.bz2
Patch:        xpdf-%{version}-config.patch
Patch2:       xpdf-%{version}-fonts.patch
Patch3:       xpdf-CESA-2004-007-xpdf2.diff
Patch4:       libgoo-sizet.diff
Patch5:       xpdf2-underflow.diff
Patch6:       xpdf-3.00pl2.patch
Patch7:       xpdf-3.00pl3.patch
Patch8:       xpdf202_combined.diff
URL:          http://www.foolabs.com/xpdf/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This tool serves for viewing files in PDF (Portable Document Format).
It is designed to be small and efficient.



Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

%prep
%setup -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10
%patch
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-a4 \
	    --enable-freetype2 \
	    --with-freetype2-includes=/usr/include/freetype2
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/xpdf
for file in xpdf-*/add-to-xpdfrc ; do
  sed -e "s|/usr/local/share/xpdf|/usr/share/xpdf|" $file >$file.new
  mv -f $file.new $file
  dir=`dirname $file`
  lang=`echo $dir|sed -e "s|xpdf-||"`
  cp -r $dir $RPM_BUILD_ROOT/usr/share/xpdf/$lang
  echo >>$RPM_BUILD_ROOT/etc/xpdfrc
  cat $file >>$RPM_BUILD_ROOT/etc/xpdfrc
done
%suse_update_desktop_file -i %name Office Viewer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*.hlp ANNOUNCE COPYING README CHANGES
/usr/bin/*
/usr/share/applications/*.desktop
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) /etc/xpdfrc
/usr/share/xpdf

%changelog -n xpdf
* Thu Dec 15 2005 - sbrabec@suse.cz
- Fixed more overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec 07 2005 - sbrabec@suse.cz
- Heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192).
* Wed Jan 19 2005 - nadvornik@suse.cz
- used upstream patch for CAN-2005-0064 [#49840]
* Mon Jan 17 2005 - nadvornik@suse.cz
- fixed buffer overflow in Decrypt::makeFileKey2 (CAN-2005-0064) [#49840]
* Mon Jan 03 2005 - nadvornik@suse.cz
- fixed buffer overflow: CAN-2004-1125 [#49463]
* Wed Nov 03 2004 - thomas@suse.de
- Added fix libgoo-sizet.diff and xpdf2-underflow.diff (#44963)
* Mon Oct 18 2004 - meissner@suse.de
- Added one missing sizeof check for CESA-2004-007 [#44963]
* Mon Oct 11 2004 - nadvornik@suse.cz
- improved previous fix - CESA-2004-007 [#44963]
* Wed Sep 29 2004 - nadvornik@suse.cz
- fixed buffer overflow - CESA-2004-007 [#44963]
* Sat Aug 16 2003 - adrian@suse.de
- use translated desktop file from kappfinder
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Fri Jul 11 2003 - nadvornik@suse.cz
- updated to 2.02pl1
* Tue Jun 03 2003 - sndirsch@suse.de
- xpdf-2.01-fonts.patch:
  * use 17 pixel font instead of non-existing 16 pixel font
* Tue May 20 2003 - mmj@suse.de
- Package all man-files
* Tue Jan 07 2003 - nadvornik@suse.cz
- updated to 2.01
- switched to motif
- fixed possible buffer overflow
* Wed Jun 19 2002 - nadvornik@suse.cz
- update to 1.01
- improved I18N support
* Thu Nov 22 2001 - nadvornik@suse.cz
- update to 0.93:
- support for PDF 1.4
- support for TTF fonts
- use fonts from ghostscript-fonts-std
* Thu Jun 07 2001 - pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 - mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb 08 2001 - fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 - bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon May 15 2000 - bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 - ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Wed Oct 27 1999 - fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 - ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 - fehr@suse.de
- changed to version 0.80
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Jul 06 1998 - fehr@suse.de
- New version 0.7a
* Wed Jun 04 1997 - fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 - fehr@suse.de
- New version 0.6
* Thu Jan 02 1997 - fehr@suse.de
- New version 0.5
